<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerDataConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerDataConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_data_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstTrackerData_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstTrackerData_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_data_obj_8h.html">eicd/TrackerDataObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">class </span>TrackerData;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">class </span>TrackerDataCollection;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>TrackerDataCollectionIterator;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_data.html">   23</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_data_collection.html">TrackerDataCollection</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_data_collection_iterator.html">TrackerDataCollectionIterator</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html#aa1e57f03acf282c06b5726632bb0fce3">ConstTrackerData</a>();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html#aa1e57f03acf282c06b5726632bb0fce3">ConstTrackerData</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_data.html#adf35f089eeae19f72bcf66039d030147">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_data.html#a6efff589de84f6b5e9496c2767943e51">cellID1</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_data.html#a7d3fc93ea51f1eb3a4238e415a050a34">time</a>);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html#aa1e57f03acf282c06b5726632bb0fce3">ConstTrackerData</a>(<a class="code" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a>* obj);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html#aa1e57f03acf282c06b5726632bb0fce3">ConstTrackerData</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; other);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; <a class="code" href="classeic_1_1_const_tracker_data.html#ab9d0c7bf223534f246703577ae9eb048">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a> <a class="code" href="classeic_1_1_const_tracker_data.html#a66e8630b17dace32b3491af8c413a360">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_data.html#a4b86144719c02a09511ebb0ad82370b3">~ConstTrackerData</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_data.html#adf35f089eeae19f72bcf66039d030147">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_data.html#a6efff589de84f6b5e9496c2767943e51">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_tracker_data.html#a7d3fc93ea51f1eb3a4238e415a050a34">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_data.html#a43674ca1bdb2a4884a158c01eb579a24">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_data.html#ac59daba76673812b6ca98258a40a108d">   68</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_tracker_data.html#ac59daba76673812b6ca98258a40a108d">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_data.html#af039c1981ac532b27621627b7ec73ae9">   70</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_data.html#af039c1981ac532b27621627b7ec73ae9">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_data.html#af039c1981ac532b27621627b7ec73ae9">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_data.html">TrackerData</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_data.html#ae637d8c905508f0aea71dc97bcf9cdbf">   74</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_data.html#ae637d8c905508f0aea71dc97bcf9cdbf">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_data.html">ConstTrackerData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_data.html#a551d9b66d16c31302a8d31d064c0568a">   76</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_data.html#a551d9b66d16c31302a8d31d064c0568a">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_tracker_data.html#ab31d66d0453483425ce6b09af7e3140e">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_tracker_data.html#ab31d66d0453483425ce6b09af7e3140e">getObjectID</a>().index; }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_tracker_data.html#ab31d66d0453483425ce6b09af7e3140e">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <a class="code" href="classeic_1_1_tracker_data_obj.html">TrackerDataObj</a>* m_obj;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;};</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_tracker_data_html_a551d9b66d16c31302a8d31d064c0568a"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#a551d9b66d16c31302a8d31d064c0568a">eic::ConstTrackerData::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00076">TrackerDataConst.h:76</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_a43674ca1bdb2a4884a158c01eb579a24"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#a43674ca1bdb2a4884a158c01eb579a24">eic::ConstTrackerData::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00057">TrackerDataConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html">eic::ConstTrackerData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00023">TrackerDataConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_a6efff589de84f6b5e9496c2767943e51"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#a6efff589de84f6b5e9496c2767943e51">eic::ConstTrackerData::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00049">TrackerDataConst.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_ab9d0c7bf223534f246703577ae9eb048"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#ab9d0c7bf223534f246703577ae9eb048">eic::ConstTrackerData::operator=</a></div><div class="ttdeci">ConstTrackerData &amp; operator=(const ConstTrackerData &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00031">TrackerDataConst.cc:31</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_ab31d66d0453483425ce6b09af7e3140e"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#ab31d66d0453483425ce6b09af7e3140e">eic::ConstTrackerData::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00064">TrackerDataConst.cc:64</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_data_collection.html">eic::TrackerDataCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_collection_8h_source.html#l00050">TrackerDataCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_html"><div class="ttname"><a href="classeic_1_1_tracker_data.html">eic::TrackerData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_8h_source.html#l00025">TrackerData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_adf35f089eeae19f72bcf66039d030147"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#adf35f089eeae19f72bcf66039d030147">eic::ConstTrackerData::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00048">TrackerDataConst.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_aa1e57f03acf282c06b5726632bb0fce3"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#aa1e57f03acf282c06b5726632bb0fce3">eic::ConstTrackerData::ConstTrackerData</a></div><div class="ttdeci">ConstTrackerData()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00016">TrackerDataConst.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_data_collection_iterator.html">eic::TrackerDataCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_collection_8h_source.html#l00029">TrackerDataCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_af039c1981ac532b27621627b7ec73ae9"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#af039c1981ac532b27621627b7ec73ae9">eic::ConstTrackerData::operator==</a></div><div class="ttdeci">bool operator==(const ConstTrackerData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00070">TrackerDataConst.h:70</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_ae637d8c905508f0aea71dc97bcf9cdbf"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#ae637d8c905508f0aea71dc97bcf9cdbf">eic::ConstTrackerData::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstTrackerData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00074">TrackerDataConst.h:74</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_data_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_data_obj.html">eic::TrackerDataObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_obj_8h_source.html#l00018">TrackerDataObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_a7d3fc93ea51f1eb3a4238e415a050a34"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#a7d3fc93ea51f1eb3a4238e415a050a34">eic::ConstTrackerData::time</a></div><div class="ttdeci">const int &amp; time() const</div><div class="ttdoc">Access the time measurement associated with the adc values. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00050">TrackerDataConst.cc:50</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_ac59daba76673812b6ca98258a40a108d"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#ac59daba76673812b6ca98258a40a108d">eic::ConstTrackerData::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerDataObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8h_source.html#l00068">TrackerDataConst.h:68</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_a4b86144719c02a09511ebb0ad82370b3"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#a4b86144719c02a09511ebb0ad82370b3">eic::ConstTrackerData::~ConstTrackerData</a></div><div class="ttdeci">~ConstTrackerData()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00045">TrackerDataConst.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_data_html_a66e8630b17dace32b3491af8c413a360"><div class="ttname"><a href="classeic_1_1_const_tracker_data.html#a66e8630b17dace32b3491af8c413a360">eic::ConstTrackerData::clone</a></div><div class="ttdeci">ConstTrackerData clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_data_const_8cc_source.html#l00041">TrackerDataConst.cc:41</a></div></div>
<div class="ttc" id="_tracker_data_obj_8h_html"><div class="ttname"><a href="_tracker_data_obj_8h.html">TrackerDataObj.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
